package com.rf.psychological.scale.service;

import com.rf.psychological.scale.dao.model.ScaleConfigEntity;

import java.util.List;

/**
 * @author lpf
 * @description:
 * @date 2022/5/28 16:29
 */
public interface ScaleConfigService {

    List<ScaleConfigEntity> findScaleConfigByType(String type);

    ScaleConfigEntity findScaleConfigByFlag(String flag);

    ScaleConfigEntity insertOne(ScaleConfigEntity scaleConfigEntity);

    void updateResultConfig(String flag, String resultConfig);

    void deleteByFlag(String flag);

}
